[[Property:title|finish_freezing utility]]
[[Property:weight|4]]
[[Property:uuid|bfc362f4-9187-ea47-baf6-46880ed43fdd]]
=Introduction=

The command line utility finish_freezing is used to compile external code generated by the Eiffel compiler. Most of the time finish_freezing gets executed behind the scenes as you freeze and finalize Eiffel systems, so you don't really need to be aware of it. However, finish_freezing can be run standalone, and is useful, for example, when [[Porting an Eiffel application from UNIX to Windows or vice-versa|porting systems to other platforms]].

=Usage of finish_freezing=

<code lang="text">
finish_freezing [-location <directory>] [-generate_only] [-nproc <n>] [-low]
[-x86] [-library] [-version] [-nologo]
</code>

Options:
:Options should be prefixed with: '-' or '/'

{| border="1"
|-
! style="text-align: center" | Option
! style="text-align: center" | Arguments
! style="text-align: center" | Effect
|-
|-
|  -location
| ''directory''
|  Alternative location to compile C code in.
|-
| -generate_only
|
| Informs tool to generate only a Makefile.
|-
| -nproc
| ''n''
| Maximum number of processors to use.
|-
| -low
|
| Executes finish freezing in low-execution priority mode. 
|-
| -x86
|
| Generate 32bit lib DLLs for .NET projects. 
|-
| -library
|
| Compiles the C code of an Eiffel library.
|-
| -?
|
| Display usage information. 
|-
| -version
|
| Displays version information. 
|-
| -nologo
|
| Supresses copyright information. 
|}




